Subject: Which chain saw & weed whacker to buy?

From: [email-masked] (Michael J. Logan, P.E.)
Date: 23 Mar 1995 00:16:31 GMT

Anybody have good/bad experiences with chainsaws and weedwackers?
Which brands should I stay away from? Which ones are best?

Also, where is the best place to get the brand of choice? I've
seen so many different ones at all the places here and can't
really tell much difference just by looking...

Thanks.
mjl

---

From: [email-masked] (Steve Offiler)
Date: Fri, 24 Mar 1995 10:35:01

In article <[email-masked]> [email-masked] (Michael J. Logan, P.E.) writes:
>From: [email-masked] (Michael J. Logan, P.E.)
>Subject: Which chain saw & weed whacker to buy?
>Date: 23 Mar 1995 00:16:31 GMT

>mjl

For the chainsaw, it kind of depends on your intended usage.  Husqvarna and 
Stihl both have excellent reputations around here.  For heavy duty usage, or 
if you're the type who likes top-shelf, look into these.  Prepare to be 
faced with an array of choices - saws with size, shape, weight, and power 
engineered for felling versus limbing versus general purpose versus .....

But I've got a Japanese saw (Shindaiwa) that I picked up used for next to 
nothing, and it has run flawlessly thru over 10 cords so far, and I'm still on 
the same chain, bar, and spark plug.  YMMV.

I got my weedwacker at Home Depot after reading Consumer Reports and shopping 
around.  If your yard is very small, you might get away with an electric but I 
really don't recommend them.  I got a gas-powered Homelite that is engineered 
to accept brushcutting attachments in addition to the string.  Even if I never 
cut brush, I'm more comfortable knowing I've got a little more power and 
slightly better features.

I agree that it is difficult to know which is best by looking at what is 
available.  I shop in places like Home Depot, which almost always offer an 
array of choices.  I locate the product, look over the half-dozen choices, and 
alomst never buy the cheapest or the most expensive.  The mid-range or upper 
mid-range usually ends up being the best value to me in terms of quality level 
and inclusion of useful features.

Steve Offiler          [email-masked]

---

From: [email-masked] (Steve Offiler)
Date: Fri, 24 Mar 1995 10:35:01

---

From: [email-masked] (HassMfgCo)
Date: 28 Mar 1995 10:02:38 -0500

I bought a Homelite 16" chainsaw at Walmart a few years ago for a little
over $100.  It works great.  You must keep the chain properly sharpened. 
Not all "professional" chainsaw sharpening services do the job properly. 
With a sharp chain, I cut up a 3 foot diameter maple tree in the middle of
January.  (A friend with a chainsaw that sounded like a Harley cut it
down.)  The Homelite has worked flawlessly.

Dave Hass

---

From: Jim Hockenhull <[email-masked]>
Date: 29 Mar 1995 19:07:15 GMT

> Which brands should I stay away from? Which ones are best?
I just bought a Homelite "Silver Eagle" 14" electric saw for use as a
pruning tool. I love it. I've owned gas saws in the past; the joy of
not having to START the thing each time you want to make a cut, and the
joy of relative quiet make me far prefer the little electric unit.

It's not a macho logging tool, but it sure is handy.

It was on sale for 50 bucks at a local lumber yard/hardware store. 
It would have cost me nearly that much to rent a small gas saw for
a day.

Jim

---

From: ettings <[email-masked]>
Date: Wed, 29 Mar 95 22:51:34 -0500

I promise you'll be miserable with a Stihl weedwhacker.
 
Carol

---

From: [email-masked] (David L. Martin)
Date: Thu, 30 Mar 1995 14:08:32 GMT

>> Which brands should I stay away from? Which ones are best?

I have been happy with the Weed Wacker i bought from Sears.  I bought the
bigger, more powerful model; automatic line feed; maintenance agreement
(they give it a tuneup every year plus repairs.)  Works very well.  I
bought the bush blade attachment but never use it, as the heavier string
used by the whacker seems to do enough "damage" and changing it is a bit
of a chore.

David L. Martin
Carp, Canada

---

From: gracie!agrawal (Nisheeth Agrawal)
Date: 30 Mar 1995 16:08:28 GMT

>It would have cost me nearly that much to rent a small gas saw for

Same here! After having used gas saw I got tired of the upkeep. So I bought an
elctric one (Mcculloch, I think). I love it. I just cut a tree limb about 10"
diameter. It took some time with the 14" chain but it worked. One feature I
like is the brake. If the saw is getting away from you your hand hits this flap
which stops the saw immediately. It has happened to me a couple of times now
and I am glad it was there. So I recommend mine. I also paid about $50 for it.

Good luck with whatever you buy!

Nisheeth
[email-masked]
All opinions are mine and not my employer or anybody else!!

---

From: Jim Hockenhull <[email-masked]>
Date: 29 Mar 1995 19:07:15 GMT

Jim

---

From: ettings <[email-masked]>
Date: Wed, 29 Mar 95 22:51:34 -0500

Carol

---

From: [email-masked] (David L. Martin)
Date: Thu, 30 Mar 1995 14:08:32 GMT

David L. Martin
Carp, Canada

---

From: gracie!agrawal (Nisheeth Agrawal)
Date: 30 Mar 1995 16:08:28 GMT

Nisheeth

---

From: [email-masked] (Dennis Cutburth)
Date: 30 Mar 1995 18:52:11 -0500

>I promise you'll be miserable with a Stihl weedwhacker.

Why??

---

From: [email-masked] (Christopher Jackson)
Date: 5 Apr 1995 13:00:06 GMT

ettings ([email-masked]) wrote:
: Dennis Cutburth <[email-masked]> writes:
:  
: >>I promise you'll be miserable with a Stihl weedwhacker.
: >> 
: >>Carol
: >
: >Why??
:  
: First of all, it's extremely difficult to start...and the tension on
: the pullcord is such that each time you have to pull it, which is often,
: it practically takes your fingers off.  You finally get it started, and
: it continually stalls out on you.  In the meantime, the engine is very heavy
: and placed in such a manner that it doesn't hit the parts of your body most
: able to take the weight.  Mine's been in the shop several times for the
: abovementioned problems (except, of course, the weight-distribution
: problem), and all the problems are still there.  The retailer no longer
: carries Stihl because he had so many complaints.  Thge shield is too big, too.
: I can't get between the raised beds in my vegetable garden with it (I realize
: that the shield is a safety feature, but this one...).  To top it off, they
: cost a lot.  I'm sure once I take it out this spring to use it I'll remember
: more stuff, and I'll be muttering about the lost opportunity of posting
: my complaints here.
:  
: Best,
:  
: Carol
Sorry to hear about your troubles, Carol.  I bought a Stihl FS044 a
month ago, and I love it.  Starts easily, good power, and, for me, well
balanced.  The idle did take a while to work out--I had to keep it going
too fast during the first few tanks to prevent stalling.  

Also, Consumer Reports (I think) recently rated the FS036 as tops in
their comparison.

Which model do you have?

--Chris Jackson

---

From: ettings <[email-masked]>
Date: Tue, 4 Apr 95 21:34:47 -0500

>>I promise you'll be miserable with a Stihl weedwhacker.
 
First of all, it's extremely difficult to start...and the tension on
the pullcord is such that each time you have to pull it, which is often,
it practically takes your fingers off.  You finally get it started, and
it continually stalls out on you.  In the meantime, the engine is very heavy
and placed in such a manner that it doesn't hit the parts of your body most
able to take the weight.  Mine's been in the shop several times for the
abovementioned problems (except, of course, the weight-distribution
problem), and all the problems are still there.  The retailer no longer
carries Stihl because he had so many complaints.  Thge shield is too big, too.
I can't get between the raised beds in my vegetable garden with it (I realize
that the shield is a safety feature, but this one...).  To top it off, they
cost a lot.  I'm sure once I take it out this spring to use it I'll remember
more stuff, and I'll be muttering about the lost opportunity of posting
my complaints here.
 
Best,
 
Carol

---

From: [email-masked] (Christopher Jackson)
Date: 5 Apr 1995 13:00:06 GMT

Which model do you have?

--Chris Jackson

---

From: ettings <[email-masked]>
Date: Tue, 4 Apr 95 21:34:47 -0500

Best,
 
Carol

---

From: [email-masked] (Christopher Jackson)
Date: 5 Apr 1995 13:00:06 GMT

Which model do you have?

--Chris Jackson

---

From: ettings <[email-masked]>
Date: Tue, 4 Apr 95 21:34:47 -0500

Best,
 
Carol